Subject: Re: [lojban] Lojban text editing help

From: Cyril Slobin <[email-masked]>
Date: Fri, 18 Aug 2000 19:59:46 +0400 (MSD)

On Thu, 17 Aug 2000, Taral wrote:

> Absolutely. And I love that lojban hilighting stuff. Unfortunately the
> colors come out a bit odd for me - quite usable, but several groups end
> up with the same coloring (especially invalid stuff -- all cyan).

My intention was: cmavo in yellow, cmene in magenta, gismu in green,
errors that this poor tool can recognize in red. Cyan is left for lujvo,
fuhivla and possible invalid words that cannot (yet ;-) be recognized as
such. I believe morphology (not syntax!) of lojban is Level 3 grammar
and therefore can be in theory recognized by regexps, but there will be
very long regexps anyway. Current solution seems to be reasonable angry
for errors. I'm thinking how to make this job better. If you send me an
example of text where to many invalid stuff is "all cyan" - it will be
a good statring point for me.

[co'o mi'e kir. noi .y. sa noi]

-- 
Cyril Slobin <[email-masked]>